Upgrade failure 3.3.1 to 3.3.2

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
perfectpace
Registered User
Posts: 2
Joined: Fri Oct 16, 2020 9:05 am

Upgrade failure 3.3.1 to 3.3.2

Post by perfectpace »

I tried to upgrade the forum software from v3.3.1 to 3.3.2 and followed the update instructions.

On the last step "Now start the update process by pointing your browser to the install folder." the tools returns these errors:

Code: Select all

[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/file.php) is not within the allowed path(s): (/var/www/ud20_110:/usr/share/php)" in file /var/www/ud20_110/html/phpbb/phpbb/class_loader.php on line 126
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/file.php) is not within the allowed path(s): (/var/www/ud20_110:/usr/share/php)" in file /var/www/ud20_110/html/phpbb/phpbb/class_loader.php on line 126
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../ext/phpbb/cache/driver/file.php) is not within the allowed path(s): (/var/www/ud20_110:/usr/share/php)" in file /var/www/ud20_110/html/phpbb/phpbb/class_loader.php on line 126
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/base.php) is not within the allowed path(s): (/var/www/ud20_110:/usr/share/php)" in file /var/www/ud20_110/html/phpbb/phpbb/class_loader.php on line 126
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/base.php) is not within the allowed path(s): (/var/www/ud20_110:/usr/share/php)" in file /var/www/ud20_110/html/phpbb/phpbb/class_loader.php on line 126
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../ext/phpbb/cache/driver/base.php) is not within the allowed path(s): (/var/www/ud20_110:/usr/share/php)" in file /var/www/ud20_110/html/phpbb/phpbb/class_loader.php on line 126
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/driver_interface.php) is not within the allowed path(s): (/var/www/ud20_110:/usr/share/php)" in file /var/www/ud20_110/html/phpbb/phpbb/class_loader.php on line 126
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/driver_interface.php) is not within the allowed path(s): (/var/www/ud20_110:/usr/share/php)" in file /var/www/ud20_110/html/phpbb/phpbb/class_loader.php on line 126
[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../ext/phpbb/cache/driver/driver_interface.php) is not within the allowed path(s): (/var/www/ud20_110:/usr/share/php)" in file /var/www/ud20_110/html/phpbb/phpbb/class_loader.php on line 126
What I found so far regarding this error is that open_basedir has to be disabled. Now I am wondering wouldn't the initial installation have failed as well if it was an issue with the open_basedir config?
perfectpace
Registered User
Posts: 2
Joined: Fri Oct 16, 2020 9:05 am

Re: Upgrade failure 3.3.1 to 3.3.2

Post by perfectpace »

Bumping this up again - hoping that someone has an idea.
Post Reply

Return to “[3.3.x] Support Forum”